#!/bin/sh
#
# This is a patch after script,  generated by the patchgen script.
# You should not edit this file.
#
_TMP="$TMP"
if [ "x$_TMP" != x ]; then
    # Unscrew NuTcracker screwyness.
    _TMP=`echo "$_TMP" | sed 's!/\([a-zA-Z]\)=/!\1:/!g'`
    if [ ! -d "$_TMP" ]; then
	unset _TMP
    fi
fi
if [ "x$_TMP" = x ]; then
    # This should be a no-op on Unix, but on NT the chances are good that
    # there really will be a $DBDIR/tmp.
    if [ -d tmp ]; then
	_TMP=`pwd`/tmp
    else
	_TMP=/tmp
	if [ ! -d /tmp ]; then
	    mkdir /tmp
	fi
    fi
fi
export _TMP

if [ -f /tmp/TransferEnv ] ; then
    set -a
    . /tmp/TransferEnv
fi

PatchId=ORA_SNT_1.0_GBIN_$1
PATH=${PATH}:/usr/ucb

if [ -d "$ThisDir" ]; then
    cd $ThisDir
fi

sh >$_TMP/${PatchId}.output 2>$_TMP/${PatchId}.error <<\MAIN_EOF
set -xe

# Executing after script:  OracleSentry/OM10.init
sh -xe <<\GBIN_EOF

#!/bin/sh

set -e

cd $ThisDir/OracleSentry

###################################
# Rename the collections
###################################

DatabaseMCC=`wlookup -r MonitoringCapabilityCollection Oracle7Database`
idlcall $DatabaseMCC _set_label '"OracleDatabase"'

InstanceMCC=`wlookup -r MonitoringCapabilityCollection Oracle7Instance`
idlcall $InstanceMCC _set_label '"OracleInstance"'


###################################
# Reload the collections
###################################

# Load OracleDatabase collection without engine restart option
 
mcsl -P cat -i M7OracleDatabase.col
 
# Load OracleInstance collection WITH engine restart option
 
mcsl -P cat -Ri M7OracleInstance.col

###################################
# Reload the defaults
###################################

IRO=`wlookup InterRegion`
IROname=`idlcall $IRO _get_name`
IROname=`eval echo $IROname`

DefaultSentryName="TivoliSentryDefaults"
RegionDefaultSentryName="$DefaultSentryName#$IROname"

# Load new OracleDatabase defaults
 
./M7OracleDatabaseDefaults.sh "$RegionDefaultSentryName"
 
# Load new OracleInstance defaults
 
./M7OracleInstanceDefaults.sh "$RegionDefaultSentryName"

###################################
# Update the Product description
###################################

PlatformProduct=`wlookup -r ProductInfo ESM_Oracle7Sentry`
idlcall $PlatformProduct _set_description '"TME 10 Module For Oracle - Distributed Monitoring, Version 1.0"'
idlcall $PlatformProduct _set_label '"OracleSentry"'


###################################
# Replace the Notice group
###################################

OldNoticeName="Oracle7 Sentry"
OldNoticeOID=`wlookup -r TMF_Notice "Oracle7 Sentry"`
OldTrimmedOID=`echo $OldNoticeOID | cut -f1 -d'#'`

# Save notices in a text file
OSERV=`objcall 0.0.0 getattr oserv`
DBDIR=`objcall $OSERV query db_dir`
cd $DBDIR

subscribed=`wlsnotif -g | grep "$OldNoticeName" | wc -l`
adminname=`wgetadmin -n`
if [ $subscribed -eq 0 ]
then
    wsetadmin -n "$OldNoticeName" $adminname
fi

wlsnotif -n "$OldNoticeName" > OracleSentry.txt

if [ $subscribed -eq 0 ]
then
    wsetadmin -N "$OldNoticeName" $adminname
fi

NOTICE_CO=`wlookup -r Classes TMF_Notice`

NewNoticeOID=`idlcall $NOTICE_CO TMF_Notice::NoticeManager::create_notice_group '"Oracle Sentry"' 0`

#
# Replace subscription to old notice group with the new one
#

wls -o /Library/BulletinBoard |
while read BB_OID DUMMY
do
    subs=`idlcall $BB_OID get_subscriptions`
    for word in $subs
    do
        word_oid=`echo $word | cut -f1 -d'#'`
        if [ $word_oid = $OldTrimmedOID ]
        then
            idlcall $BB_OID unsubscribe_group $OldNoticeOID
            idlcall $BB_OID subscribe_group $NewNoticeOID
        fi
    done
done

idlcall $OldNoticeOID remove


###################################
# Re-install inheritance
###################################

#
# Attempt to find Sentry friendly named class first,
# then try using the implementation name.
#
 
set +e

Sentry_CO=`wlookup -r Classes SentryEndpoint`
 
if [ "X$Sentry_CO" = X ]
then
    CLO=`wlookup Library`
    Sentry_CO=`objcall $CLO _lookup_object imp_Sentry::Endpoint`
fi
 
#
# set up the class inheritances
#
 
for CLASS in OracleDatabase OracleInstance
do
    CLASS_CO=`wlookup -r Classes $CLASS`
    winstendpt $Sentry_CO $CLASS_CO
done

set -e

exit 0

GBIN_EOF

set +e
xargs rm -f <<OBSOLETE_EOF
Oracle7Sentry/ESMSentry.baroc
Oracle7Sentry/M7Oracle7Database.baroc
Oracle7Sentry/M7Oracle7Database.col
Oracle7Sentry/M7Oracle7DatabaseDefaults.sh
Oracle7Sentry/M7Oracle7DatabaseDefaultsDrop.sh
Oracle7Sentry/M7Oracle7Instance.baroc
Oracle7Sentry/M7Oracle7Instance.col
Oracle7Sentry/M7Oracle7InstanceDefaults.sh
Oracle7Sentry/M7Oracle7InstanceDefaultsDrop.sh
Oracle7SentryTasks/Oracle7SentryTasks.tlf
OBSOLETE_EOF

set +e
xargs rmdir <<OBSOLETE_DIR_EOF
Oracle7Sentry
Oracle7SentryTasks
OBSOLETE_DIR_EOF

MAIN_EOF

SSSTAT=$?
# any output needs to go to stderr
	 
if [ $SSSTAT -ne 0 ]; then
    echo "" >&2
    echo "Failure: the last few lines of the error log ($_TMP/$PatchId.error):" >&2
    tail $_TMP/$PatchId.error >&2
    if [ ! -z "$FileIfInstalled" ] ; then
    	rm -f $FileIfInstalled
    fi
else
    echo "Patch install completed successfully." >&2
    rm -f $_TMP/$PatchId.error $_TMP/$PatchId.output
fi
exit $SSSTAT
