#!/bin/sh
#
# This is a patch after script,  generated by the patchgen script.
# You should not edit this file.
#
_TMP="$TMP"
if [ "x$_TMP" != x ]; then
    # Unscrew NuTcracker screwyness.
    _TMP=`echo "$_TMP" | sed 's!/\([a-zA-Z]\)=/!\1:/!g'`
    if [ ! -d "$_TMP" ]; then
	unset _TMP
    fi
fi
if [ "x$_TMP" = x ]; then
    # This should be a no-op on Unix, but on NT the chances are good that
    # there really will be a $DBDIR/tmp.
    if [ -d tmp ]; then
	_TMP=`pwd`/tmp
    else
	_TMP=/tmp
	if [ ! -d /tmp ]; then
	    mkdir /tmp
	fi
    fi
fi
export _TMP

if [ -f /tmp/TransferEnv ] ; then
    set -a
    . /tmp/TransferEnv
fi

PatchId=ORA_SNT_1.0_GBIN_$1
PATH=${PATH}:/usr/ucb

if [ -d "$ThisDir" ]; then
    cd $ThisDir
fi

sh >$_TMP/${PatchId}.output 2>$_TMP/${PatchId}.error <<\MAIN_EOF
set -xe

# Executing after script:  OracleSentry/OM10Before.init
sh -xe <<\GBIN_EOF

#!/bin/sh

if [ -z "$INTERP" -o "$INTERP" = "w32-ix86" ]
then
        PerlPath="perl";
else
        PerlPath="/etc/Tivoli/bin/perl";
fi
 
IRO=`wlookup InterRegion`
IROname=`idlcall $IRO _get_name`
IROname=`eval echo $IROname`
 
DefaultSentryName="TivoliSentryDefaults"
DefaultSentryProfile="$DefaultSentryName#$IROname"

# Go execute perl with herefile

$PerlPath <<EOF

;# Global bits
\$OpenError="Call To wlsmon $DefaultSentryProfile Failed";
\$Index=0;
 
%Monitors=('Alerts(*)',0,
           'Archive Free Space(*)',0,
           'Archive Space (Number Of Redo Logs)(*)',0,
           'Background Dump Space(*)',0,
           'Chained Rows (cluster)(*, *)',0,
           'Chained Rows (table)(*, *)',0,
           'Free Space Deficit(*, *)',0,
           'Free Space Deficit By User(*, *)',0,
           'Free Space Deficit By Tablespace(*, *)',0,
           'Free Space Fragmentation(*)',0,
           'Free Space Fragmentation by Tablespace(*, *)',0,
           'Free Tablespace(*, *)',0,
           'Free Tablespace By Tablespace(*, *)',0,
           'Maximum Extents(*, *)',0,
           'Maximum Extents By Tablespace(*, *)',0,
           'Maximum Extents By User(*, *)',0,
           'NT Service Status(*)',0,
           'NT Service Status(*, *)',0,
           'Rows In DUAL Table(*)',0,
           'Temporary Extents(*)',0,
           'Temporary Extents By Tablespace(*, *)',0,
           'Temporary Extents By User(*, *)',0,
           'Unix Core Dump Space(*)',0,
           'Unix SQL*Net V1 TCP/IP Listener()',0,
           'Unix SQL*Net V1 TCP/IP Listener(*)',0,
           'Unix SQL*Net V1 TCP/IP Listener(*, *)',0,
           'Unix SQL*Net V2 Listener(*)',0,
           'Unix SQL*Net V2 Listener(*, *)',0,
           'User Dump Space(*)',0,
           'Active Transactions(*)',0,
           'Buffer Waits Ratio(*)',0,
           'Buffer Cache Hit Ratio(*)',0,
           'Buffer Cache Hit Ratio (Interval)(*)',0,
           'Cluster Key Ratio(*)',0,
           'Continued Row Ratio(*)',0,
           'DML Locks Ratio(*)',0,
           'Dictionary Cache Hit Ratio(*)',0,
           'Dictionary Cache Hit Ratio (Interval)(*)',0,
           'Dispatcher Busy Rate(*)',0,
           'Dispatcher Wait Times(*)',0,
           'Enqueue Timeouts(*)',0,
           'Freelist Waits Ratio(*)',0,
           'Library Cache Hit Ratio(*)',0,
           'Library Cache Hit Ratio (Interval)(*)',0,
           'Number Of Deadlocks(*)',0,
           'Open Cursors(*)',0,
           'Process Ratio(*)',0,
           'RDBMS State()',0,
           'Recursive To User Calls Ratio(*)',0,
           'Redo Allocation Latch Ratio(*)',0,
           'Redo Copy Latch Ratio(*)',0,
           'Redo Log Space Waits(*)',0,
           'Redo Logs Not Archived(*)',0,
           'Redo Small Copy Ratio(*)',0,
           'Rollback Waits(*)',0,
           'Shared Server Process Ratio(*)',0,
           'Shared Server Wait Time(*)',0,
           'Sort Overflow Ratio(*)',0);

;# Open contents of TivoliSentryDefaults
 
if (\$ENV{'INTERP'} ne 'w32-ix86') {
    open (TSD,"-|") || exec "wlsmon $DefaultSentryProfile";
} else {
    open (TSD,"wlsmon $DefaultSentryProfile |") || die \$OpenError;
}

while (<TSD>) {
    ;# Pinch the monitor default key and name
    if (/^([0-9]+)\s+Monitor:\s+(.+)$/) {
 
        ;# Check if its one of ours
        if ( defined(\$Monitors{\$2}) ) {
            push(@DefaultsToDrop,\$1);
        }
    }
}
 
;# Close and check for errors
close (TSD);
if (\$? != 0) { die \$OpenError; }
 
;# Do any required deletions
foreach (@DefaultsToDrop) {
 
    print "Dropping Existing Defaults For \$_\n";
    \$DropCommand = "wdelmon \$_ $DefaultSentryProfile";
    system(\$DropCommand);
    if (\$? != 0) { die "System Call Failed Calling \$DropCommand"; }
}
 
EOF


exit 0

GBIN_EOF

MAIN_EOF

SSSTAT=$?
# any output needs to go to stderr
	 
if [ $SSSTAT -ne 0 ]; then
    echo "" >&2
    echo "Failure: the last few lines of the error log ($_TMP/$PatchId.error):" >&2
    tail $_TMP/$PatchId.error >&2
    if [ ! -z "$FileIfInstalled" ] ; then
    	rm -f $FileIfInstalled
    fi
else
    echo "Patch install completed successfully." >&2
    rm -f $_TMP/$PatchId.error $_TMP/$PatchId.output
fi
exit $SSSTAT
